/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { MessageType } from './message-type';

/**
 * 
 * @export
 * @interface MessageDto
 */
export interface MessageDto {
    /**
     * ID of the message.
     * @type {string}
     * @memberof MessageDto
     */
    'id': string;
    /**
     * Message body in multiple languages as key-value pairs.   The key is the ISO 639-1 Alpha-2 two-letter language code, and the value is the message in that language.
     * @type {{ [key: string]: string; }}
     * @memberof MessageDto
     */
    'body'?: { [key: string]: string; } | null;
    /**
     * 
     * @type {MessageType}
     * @memberof MessageDto
     */
    'type'?: MessageType;
    /**
     * Title of the message.
     * @type {string}
     * @memberof MessageDto
     */
    'title'?: string | null;
    /**
     * URL related to the message.
     * @type {string}
     * @memberof MessageDto
     */
    'href'?: string | null;
    /**
     * Start date of the message (UTC).
     * @type {string}
     * @memberof MessageDto
     */
    'startDate'?: string | null;
    /**
     * End date of the message (UTC).
     * @type {string}
     * @memberof MessageDto
     */
    'endDate'?: string | null;
}



